<?php
/**
*
* @package phpBB Extension - Smartfeed
* @copyright (c) 2017 Mark D. Hamill (mark@phpbbservices.com)
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

global $phpbb_container;

$phpEx = $phpbb_container->getParameter('core.php_ext');

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_SMARTFEED'												=> 'Smartfeed',
	'ACP_SMARTFEED_ADDITIONAL'									=> 'Ajustes y opciones adicionales',
	'ACP_SMARTFEED_ADDITIONAL_EXPLAIN'							=> 'Ajustar los valores generales y opciones de Smartfeed',
	'ACP_SMARTFEED_ALL_BY_DEFAULT'								=> 'Seleccionar todos los foros por defecto',
	'ACP_SMARTFEED_ALL_BY_DEFAULT_EXPLAIN'						=> 'Si se marca en SI, cuando la Smartfeed URL generation page se muestra, todos los foros serán comprobados. Si tiene muchos foros, puede ser mejor marcar este valor a No.',
	'ACP_SMARTFEED_APACHE_HTACCESS_ENABLED'						=> 'Apache .htaccess activado para Smartfeed',
	'ACP_SMARTFEED_APACHE_HTACCESS_ENABLED_EXPLAIN'				=> "Si utilizas autenticación de Apache, necesita modificar manualmente el archivo .htaccess de su foro para permitir la app de smartfeed.$phpEx para saltar la autenticación. De lo contrario es imposible para Smartfeed funcionar mientras la autenticación de Apache no lo permita. Si has modificado tu archivo .htaccess, entonces puedes marcar ésto a Verdadero. Por otro lado, si no usas autenticación de Apache, este ajuste no se tendrá en cuenta.",
	'ACP_SMARTFEED_AUTO_ADVERTISE_PUBLIC_FEED'					=> 'Auto-Publicar tus fuentes públicas',
	'ACP_SMARTFEED_AUTO_ADVERTISE_PUBLIC_FEED_EXPLAIN'			=> 'Establece en VERDAD si quieres exponer tus fuentes públicas automáticamente.',
	'ACP_SMARTFEED_DEFAULT_FETCH_TIME_LIMIT'					=> 'Rango máximo del tiempo del mensaje',
	'ACP_SMARTFEED_DEFAULT_FETCH_TIME_LIMIT_EXPLAIN'			=> 'Esto establecerá un punto en el tiempo en horas, desde ahora en adelante en el que ningún mensaje podrá ser recuperado. De lo contrario, en webs con gran tráfico podrá llevar minutos u horas montar un canal de noticias, afectando posiblemente a otros usuarios. Por defecto es volver atrás 30 días (720 horas). Cuidado: si lo marcas a cero, puedes estar dando permisos a todos los miembros para crear un canal con cientos o miles de mensajes.',
	'ACP_SMARTFEED_EXCLUDE_FORUMS'								=> 'Excluir siempre estos foros',
	'ACP_SMARTFEED_EXCLUDE_FORUMS_EXPLAIN'						=> 'Introduce la ID de los foros que nunca deben aparecer en los canales de noticias. Separa las ID con comas. Si se deja en blanco, ningún foro tendrá que ser excluido. Para determinar las ID de los foros, cuando estés en un foro observa el valor numérico en la URL. Ese es el valor de la ID del foro. Por ejemplo: http://www.example.com/phpBB3/viewforum.php?f=1. No uses IDs que correspondan a Categorías. Éstas no pueden ser seleccionadas con phpBB Smartfeed. Date cuenta que por defecto Smartfeed prohibe a cualquiera leer foros para los que no tenga permisos de lectura.',
	'ACP_SMARTFEED_EXTERNAL_FEEDS'								=> 'Canales externos',
	'ACP_SMARTFEED_EXTERNAL_FEEDS_EXPLAIN'						=> 'Introduce la URI de los canales externos de noticias que quieres que aparezcan en el canal, poniendo cada URL en una línea separada. Los canales externos aparecen en el orden en que han sido introducidos. Nota: las reglas de filtrado que se aplican a los mensajes también afectan los de canales externos, excepto si estos artículos no se tienen en cuentan para el máximo número de mensajes en el canal. En particular, si el día de publicación del artículo no falla con el rango de fechas del canal (como siete días) estos artículos no aparecerán. Físicamente, más de 255 caracteres no pueden ser almacenados en este campo.',
	'ACP_SMARTFEED_EXTERNAL_FEEDS_TOP'							=> 'Canales externos en la parte superior del canal',
	'ACP_SMARTFEED_EXTERNAL_FEEDS_TOP_EXPLAIN'					=> 'Si seleccionas NO, los canales externos estarán en la parte final del canal. Los mensajes privados, si los hubiera, siempre aparecerían primeros en el canal.',
	'ACP_SMARTFEED_FEED_IMAGE_PATH'								=> 'Ruta de la imagen y archivo del canal',
	'ACP_SMARTFEED_FEED_IMAGE_PATH_EXPLAIN'						=> 'Ruta de la imagen que quieres que aparezca en el canal como logotipo. La imagen por defecto es site_logo.gif, el logo de phpBB (o la imagen por la que lo hayas sustituido). La carpeta de estilo por defecto será utilizada, por tanto establece la ruta relativa desde el directorio de Estilos de tu sitio. Etiquetas aparecen sólo en los canales RSS 1.0 y RSS 2.0. El que el logo se muestre dependerá de las funciones del lector de noticias utilizado.',
	'ACP_SMARTFEED_HOURS'										=> 'horas',
	'ACP_SMARTFEED_INCLUDE_FORUMS'								=> 'Siempre incluye estos foros',
	'ACP_SMARTFEED_INCLUDE_FORUMS_EXPLAIN'						=> 'Introduce la ID de los foros que siempre tienen que aparecer en los canales de noticias. Separa las ID con comas. Si se deja en blanco, ningún foro tendrá que ser incluido.  Para determinar las ID de los foros, cuando estés en un foro observa el valor numérico en la URL. Esa es el valor de la ID del foro. Por ejemplo: http://www.example.com/phpBB3/viewforum.php?f=1. No uses IDs que correspondan a Categorías. Éstas no pueden ser seleccionadas con phpBB Smartfeed.',
	'ACP_SMARTFEED_MAX_ITEMS'									=> 'Valor máximo de artículos permitidos en cualquier canal',
	'ACP_SMARTFEED_MAX_ITEMS_EXPLAIN'							=> 'Se utiliza para establecer el valor máximo de artículos permitidos en un canal. Si es cero, no hay límite. Para sitios con tráfico elevado, deberías establecer un límite para permitir que el sitio no se atasque. Asegúrate de que sea un número entero.',
	'ACP_SMARTFEED_MAX_WORD_SIZE'								=> 'Cantidad máxima de palabras a mostrar en un mensaje',
	'ACP_SMARTFEED_MAX_WORD_SIZE_EXPLAIN'						=> 'Ningún mensaje de cualquier canal puede sobrepasar este número de palabras. Introduce 0 para permitir una cantidad incontrolada de palabras en cada mensaje. El usuario siempre tiene la opción de limitar el número de palabras en un mensaje a un tamaño menor que el límite de la página. Aviso: Para asegurar una prestación de servicios consistente, si un mensaje tiene que ser cortado, la marca será borrada del mensaje. <i>Nota:</i> Los artículos de canales externos no se ven afectados.',
	'ACP_SMARTFEED_MINUTES'										=> 'minutos',
	'ACP_SMARTFEED_NEW_POST_NOTIFICATIONS_ONLY'					=> 'Muestra en el canal sólo los nuevos mensajes y las notificaciones de mensajes privados.',
	'ACP_SMARTFEED_NEW_POST_NOTIFICATIONS_ONLY_EXPLAIN'			=> 'Si tu contenido es muy sensible, podrías querer activar esta opción. Si está activada, el canal no mostrará el contenido de ningún mensaje o mensaje privado, pero mostrará un mensaje por cada tema con nuevos mensajes, y una notificación si hay nuevos mensajes privados. El usuario tendría que identificarse para ver los nuevos mensajes del canal o los mensajes privados. Ten en cuenta que ésta es una configuración GLOBAL, por tanto afectará a todas las categorías, foros y usuarios, así como a mensajes privados. Los nombres de los autores y los títulos de las publicaciones se ocultan, pero el título del tema se muestra.',	'ACP_SMARTFEED_PPT'											=> 'Aceleradores para rendimiento mayor',
	'ACP_SMARTFEED_PPT_EXPLAIN'									=> 'Ajustar los aceleradores para un rendimiento mayor de Smartfee',
	'ACP_SMARTFEED_PRIVACY_MODE'								=> 'Modo Privado',
	'ACP_SMARTFEED_PRIVACY_MODE_EXPLAIN'						=> 'Si se elige Sí, las direcciones de email reales de los remitentes no son mostradas en el canal, y es sustituido por un email erróneo si fuera necesario validad el canal. Incluso, si se establece No, si los miembros especifican en sus preferencias del sitio que no se muestren sus direcciones de email, entonces será sustituido por un falso email. También en ese caso, las firmas no son mostradas a los miembros públicos. La idea es evitar que los spammers puedan obtener direcciones de email y maximizar la privacidad de la información de los miembros.',
	'ACP_SMARTFEED_REQUIRE_IP_AUTHENTICATION'					=> 'Requiere autenticación por IP',
	'ACP_SMARTFEED_REQUIRE_IP_AUTHENTICATION_EXPLAIN'			=> 'Ajustándolo a Sí, se aumenta la seguridad para todos los miembros registrados, limitando el rango de IPs para quienes Smartfeed devolverá un canal. Debes activar esta característica si tu sitio contiene información sensible. Si lo dejas en No, cada miembro registrado puede decidir por si mismo si quiere esta seguridad extra. Por favor, ten en cuenta que aunque tu sitio utilice HTTPS o sea accesible por VPN, el canal será desencriptado.',
	'ACP_SMARTFEED_RFC1766_LANG'								=> 'RFC-1766 Language Code',
	'ACP_SMARTFEED_RFC1766_LANG_EXPLAIN'						=> 'Lenguaje del contenido de tu canal. Es utilizado por los canales de ATOM y RSS 2.0. <a href="http://www.w3.org/TR/REC-html40/struct/dirlang.html#langcodes">Listado de los códigos válidos</a>.',
	'ACP_SMARTFEED_SECURITY'									=> 'Ajustes de Seguridad',
	'ACP_SMARTFEED_SECURITY_EXPLAIN'							=> 'Ajusta la seguridad de Smartfeed',
	'ACP_SMARTFEED_SHOW_SESSIONS'								=> 'Muestra las sesiones de Smartfeed',
	'ACP_SMARTFEED_SHOW_SESSIONS_EXPLAIN'						=> 'Si se elige Sí, la información de la vista online será confusa porque la gente o invitados aparecerán online como que están accediendo a un canal. La mayoría de las sesiones de Smartfeed serán mostradas como sesiones de invitados. Ajustándolo a Sí, también puede desvirtuarse el valor del máximo de usuarios online.',
	'ACP_SMARTFEED_SHOW_USERNAME_IN_FIRST_TOPIC_POST'			=> 'Muestra el nombre del miembro en el primer mensaje',
	'ACP_SMARTFEED_SHOW_USERNAME_IN_FIRST_TOPIC_POST_EXPLAIN'	=> 'Déjalo en Si, si quieres que el nombre del usuario aparezca en el título del primer mensaje del tema. Deberías establecerlo en No si quisieras dividir tu propio canal en cualquier otro lugar. Por ejemplo, para mostrar una lista de nuevos temas en la página principal de tu web. Asegúrate de que el valor de autor del artículo está establecido, porque no todos los lectores de noticias lo mostrarán.',
	'ACP_SMARTFEED_SHOW_USERNAME_IN_REPLIES'					=> 'Muestra el nombre del miembro en las respuestas',
	'ACP_SMARTFEED_SHOW_USERNAME_IN_REPLIES_EXPLAIN'			=> 'Si lo dejas en NO, los nombres de los miembros no aparecerán en las respuestas del tema. Esto podría ser imprudente porque el lector de noticias puede elegir no mostrar los autores de artículos individuales en el canal, por lo que sería difícil para los lectores saber quien ha publicado la respuesta.',
	'ACP_SMARTFEED_SUPPRESS_FORUM_NAMES'						=> 'Suprime los nombres de foros',
	'ACP_SMARTFEED_SUPPRESS_FORUM_NAMES_EXPLAIN'				=> 'Por defecto, los nombres de los foros aparecen en el título del artículo. No obstante, dichos nombres pueden ser muy largos y cuando se une con el nombre de los temas, el título puede hacerse muy largo. Para acortar el nombre del foro que aparece en el título del artículo para los miembros, establece este valor en SI.',
	'ACP_SMARTFEED_TITLE'										=> 'Ajustes de Smartfeed',
	'ACP_SMARTFEED_TTL'											=> 'Tiempo de validez del canal de noticias (TTL)',
	'ACP_SMARTFEED_TTL_EXPLAIN'									=> '¿Cuántos minutos debe mantener la caché el lector de noticias antes de recargarse? Acorta el número superior si tu página se está desbordando, pero los lectores de noticias podrían ignorar el aviso. Ten en cuenta que esta es una característica sólo de RSS 2.0, y que los lectores de noticias individuales pueden ignorar la configuración.',
	'ACP_SMARTFEED_WEBMASTER'									=> 'Email del Webmaster',
	'ACP_SMARTFEED_WEBMASTER_EXPLAIN'							=> 'Si estás interesado, pon el email del webmaster del foro phpBB o el de quien conteste las dudas asociadas del canal. El email aparecerá en los canales RSS 2.0. Para mejor interoperatividad, incluye entre paréntesis el nombre de la persona. Por ejemplo: jjones@example.com (John Jones).',
	'LOG_CONFIG_SMARTFEED_EXTFEED'								=> '<strong>El canal externo solicitado está estropeado o no puede ser analizado como tal.</strong>',
));
