<?php
/**
*
* @package phpBB Extension - Smartfeed
* @copyright (c) 2017 Mark D. Hamill (mark@phpbbservices.com)
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

global $phpbb_container;

// Encapsulate certain phpBB objects inside this class to minimize security issues
$this->config = $phpbb_container->get('config');

$lang = array_merge($lang, array(
	'SMARTFEED_ADDITIONAL_CRITERIA'						=> 'Criterios Adicionales',
	'SMARTFEED_ALL_FORUMS'								=> 'Todos',
	'SMARTFEED_APACHE_AUTHENTICATION_WARNING_ADMIN'		=> 'Smartfeed no puedes ser utilizado con autenticación de Apaceh hasta que el administrador adapte el archivo .htaccess. Deberá ajustar el archivo .htaccess file y cambiar los ajustes de Smartfeed en el Panel de Control de Administradores (ACP).',
	'SMARTFEED_ATOM_10'									=> 'ATOM 1.0',
	'SMARTFEED_EXPLANATION'								=> 'Con Smartfeed puedes crear tu propio canal de noticias personalizado con los temas de esta página y leerlos con el lector de noticias que elijas. Smartfeed soporta autenticación para miembros registrados, permitiéndoles ver los mensajes en los foros que otros puede no sean capaces de leer.',
	'SMARTFEED_FEED_STYLING'							=> 'Estilos del canal ',
	'SMARTFEED_FEED_STYLING_EXPLAIN'					=> 'Fíjate que la cantidad de estilos del canal actuales dependen de las capacidades de tu lector de noticias. La mayoría de los lectores no aplican todos los estilos HTML. Coloca tu cursor sobre el texto para saber más. <em>Nota</em>: los estilos no se aplican a los artículos en el canal que provienen de canales externos solicitados por el administrador.',
	'SMARTFEED_FEED_TYPE_ERROR'							=> 'Smartfeed no acepta el valor asignado para el tipo de canal y=%s. Los valores aceptados son 0 (Atom), 1 (RSS 1.0) y 2 (RSS 2.0).',
	'SMARTFEED_FILTER_CRITERIA'							=> 'Filtros de mensajes',
	'SMARTFEED_FILTER_FOES'								=> 'Eliminar los mensajes de mis enemigos',
	'SMARTFEED_FIRST_POST_ONLY_ERROR'					=> 'El valor asignado al primer mensaje es incorrecto. Si está presente, sólo puede contener un 0 o un 1. Por favor, vuelve a ejecutar Smartfeed en el foro para generar una URL correcta para el canal de noticias.',
	'SMARTFEED_FORMAT_AND_ACCESS'						=> 'Formato &amp; Control de acceso',
	'SMARTFEED_FORUM_SELECTION'							=> 'Selección de foros',
	'SMARTFEED_GENERATE_BUTTON'							=> 'Generar la URL',
	'SMARTFEED_GENERATE_BUTTON_EXPLAIN'					=> 'Para copiarlo, pincha en la dirección URL. El texto será seleccionado automáticamente. Entonces cópialo y pégalo en tu lector de noticias.',
	'SMARTFEED_GENERATE_URL_TEXT'						=> 'Generar',
	'SMARTFEED_IP_AUTH'									=> 'Autenticación IP',
	'SMARTFEED_IP_AUTHENTICATION'						=> ' Autenticación IP ',
	'SMARTFEED_IP_AUTHENTICATION_EXPLAIN'				=> 'Tu dirección IP actual es %s. Si selectionas SI, la URL generada hará que el canal funcione sólo para este rango de IP.',
	'SMARTFEED_LAST_1_HOURS'							=> 'En la última hora',
	'SMARTFEED_LAST_12_HOURS'							=> 'En las últimas 12 horas',
	'SMARTFEED_LAST_15_MINUTES'							=> 'En los últimos 15 minutos',
	'SMARTFEED_LAST_3_HOURS'							=> 'En las últimas 3 horas',
	'SMARTFEED_LAST_30_MINUTES'							=> 'En los últimos 30 minutos',
	'SMARTFEED_LAST_6_HOURS'							=> 'En las últimas 6 horas',
	'SMARTFEED_LAST_DAY'								=> 'En las últimas 24 horas',
	'SMARTFEED_LAST_MONTH'								=> 'En los últimos 30 días',
	'SMARTFEED_LAST_QUARTER'							=> 'En los últimos 90 días',
	'SMARTFEED_LAST_TWO_WEEKS'							=> 'En los últimos 14 días',
	'SMARTFEED_LAST_WEEK'								=> 'En los últimos 7 días',
	'SMARTFEED_LASTVISIT_RESET'							=> 'Restablece el día de mi última visita del acceso a los canales de noticias',
	'SMARTFEED_LIMIT'									=> 'Tiempo límite',
	'SMARTFEED_LIMIT_EXPLAIN'							=> 'Incluye mensajes sobre este rango de tiempo para mostrarlos en el canal de noticias.',
	'SMARTFEED_LIMIT_SET_EXPLAIN'						=> 'Independientemente de los periodos de tiempo mostrados, esta página ha establecido un límite de %d días a partir del que los temas no podrán ser recuperados. Ello es necesario para asegurar que la búsqueda en el canal no ralentiza el acceso a este foro.',
	'SMARTFEED_MARK_READ'								=> 'Marca los mensajes privados como leídos cuando aparezcan en el canal',
	'SMARTFEED_MAX_ITEMS'								=> 'Número máximo de mensajes en el canal',
	'SMARTFEED_MAX_ITEMS_EXPLAIN'						=> 'El número máximo de mensajes permitido en un canal por el administrador es %d. Puedes establecer este valor a cualquier número menor o igual al límite de la página, pero no más grande o igual que %d.',
	'SMARTFEED_MAX_ITEMS_EXPLAIN_BLANK'					=> 'Si es cero, ninguna cantidad de artículos puede haber en el canal.',
	'SMARTFEED_MAX_WORD_SIZE'							=> 'Cantidad máxima de palabras a mostrar en un mensaje o mensaje privado',
	'SMARTFEED_MAX_WORD_SIZE_EXPLAIN'					=> 'Si es cero, un mensaje o un mensaje privado puede tener cualquier tamaño en el canal, superando el límite de la página, si existiera. Aviso: si es distinto a cero, entonces asegúrate de que funcione correctamente; si un mensaje o mensaje privado puede ser cortado, el contenido HTML será eliminado. El número máximo de palabras permitido es %d.',
	'SMARTFEED_MAX_WORD_SIZE_EXPLAIN_BLANK'				=> 'If zero, a post or private message can be of any size in the feed up to the board limit, if any. Aviso: if not zero, then to ensure consistent rendering, if a post or private message must be truncated, the HTML will be removed.',
	'SMARTFEED_MIN_WORDS'								=> 'Cantidad mínima de palabras requeridas en el mensaje para que éste aparezca en el canal de noticias',
	'SMARTFEED_MIN_WORDS_EXPLAIN'						=> 'Si es cero, no hay un mínimo de palabras requerido.',
	'SMARTFEED_NEW_PMS_NOTIFICATIONS_ONLY'				=> 'Tienes nuevos mensajes privados en el foro. Identifícate para leerlos.',
	'SMARTFEED_NO_FORUMS_SELECTED'						=> 'No tienes ningún foro seleccionado, por tanto, no puede generarse ninguna URL. Por favor, selecciona al menos uno foro.',
	'SMARTFEED_NO_LIMIT'								=> 'Ninguno',
	'SMARTFEED_NO_OPENSSL_SUPPORT'						=> '<strong>Nota: este sitio sólo puede proveer canales para foros públicos </strong>',
	'SMARTFEED_NOT_LOGGED_IN'							=> '<strong>Debido a que no estas identificado a que utilizas la autenticación OAuth o a que tu estatus de miembro no lo permite, sólo puedes suscribirte a la lista de foros públicos que se muestra aquí debajo. Por favor, <a href="./../../ucp.%s?mode=login" class="postlink">identifícate</a> o <a href="./../../ucp.%s?mode=register" class="postlink">regístrate</a> si también quieres suscribirte a foros privados o acceder a servicios exclusivos para miembros registrados.</strong>',
	'SMARTFEED_POSTS_TYPE_ANY'							=> 'Todos los mensajes',
	'SMARTFEED_POSTS_TYPE_FIRST'						=> 'Sólo los primeros mensajes de los temas',
	'SMARTFEED_POWERED_BY'								=> 'phpbbservices.com',
	'SMARTFEED_PRIVATE_MESSAGES_IN_FEED'				=> 'Añade mis mensajes privados no leídos',
	'SMARTFEED_REMOVE_YOURS'							=> 'Borra mis mensajes',
	'SMARTFEED_RSS_10'									=> 'RSS 1.0 (RDF)',
	'SMARTFEED_RSS_20'									=> 'RSS 2.0',
	'SMARTFEED_SELECT_FORUMS'							=> 'Incluye los mensajes para estos foros',
	'SMARTFEED_SELECT_FORUMS_EXPLAIN'					=> 'Los nombres de foros en negrita, si los hubiera, corresponden con foros que el administrador ha establecido que serán mostrados en cualquier canal de noticias. No puedes desmarcar estos foros. Los foros con nombres tachados son de los que no son permitidos en un canal y no pueden ser seleccionados. Si estás conectado, entonces las selección de foros es deshabilitada cuando seleccionas sólo temas marcados.',
	'SMARTFEED_SINCE_LAST_VISIT_TEXT'					=> 'Desde mi última visita',
	'SMARTFEED_SIZE_ERROR'								=> sprintf("Este es un campo requerido. Tienes que entrar un número entero positivo, menor que o igual al valor máximo permitido por el Administrador del foro.  El mayor valor permitido es %u. Si este valor fuese cero, no habría límite.", $this->config['phpbbservices_smartfeed_max_items']),
	'SMARTFEED_SIZE_ERROR_MIN'							=> 'Debes introducir un número entero o dejar el campo vacío. Si el valor fuera cero, no habría límite.',
	'SMARTFEED_SORT_BY'									=> 'Orden de clasificación de los mensajes',
	'SMARTFEED_SORT_BY_EXPLAIN'							=> 'El orden por defecto es el utilizado por phpBB, si no lo has cambiado el Panel de control de usuario (UCP). Por defecto, los mensajes en el canal se muestran ordenados por categorías (en orden ascendente), luego por foros (ascendente) dentro de categorías, luego por la hora del último tema (en orden descendente) dentro del foro, y finalmente por la hora del mensaje (en orden ascendente) dentro del tema.',
	'SMARTFEED_SORT_FORUM_TOPIC'						=> 'Orden por defecto',
	'SMARTFEED_SORT_FORUM_TOPIC_DESC'					=> 'Orden por defecto, con los últimos mensajes al principio',
	'SMARTFEED_SORT_POST_DATE'							=> 'Desde los más antiguos a los más nuevos',
	'SMARTFEED_SORT_POST_DATE_DESC'						=> 'Desde los más nuevos a los más viejos',
	'SMARTFEED_SORT_USER_ORDER'							=> 'Utiliza las preferencias de mi panel de visualización',
	'SMARTFEED_STYLE_BASIC'								=> 'Básico',
	'SMARTFEED_STYLE_BASIC_EXPLAIN'						=> 'Básico borrará el formato y los BBCode, pero aplicará las firmas si están permitidas.',
	'SMARTFEED_STYLE_COMPACT'							=> 'Compacto',
	'SMARTFEED_STYLE_COMPACT_EXPLAIN'					=> 'Compacto borrará el formado, los BBCode, las firmas y afectará a los párrafos.',
	'SMARTFEED_STYLE_HTML'								=> 'HTML',
	'SMARTFEED_STYLE_HTML_EXPLAIN'						=> 'HTML dará formato, BBCodes and firmas (si se permiten). Los mensajes parecerán similares a como se muestran en el foro. Puede ser que no se validen canales HTML.',
	'SMARTFEED_STYLE_HTML_SAFE'							=> '<a href="http://validator.w3.org/feed/docs/warning/SecurityRiskAttr.html" class="postlink" onclick="window.open(this.href);return false;">HTML seguro</a>',
	'SMARTFEED_STYLE_HTML_SAFE_EXPLAIN'					=> 'HTML seguro eliminará las etiquetas consideradas inseguras para los lectores de noticias, de acuerdo con la norma W3C.',
	'SMARTFEED_TEST'									=> 'Test',
	'SMARTFEED_TEST_BUTTON'								=> 'Testear el canal',
	'SMARTFEED_TEST_BUTTON_EXPLAIN'						=> 'Ejecuta la URL en una nueva página de tu navegador. El canal puede mostrarse mejor en un lector de noticias.',
	'SMARTFEED_TITLE'									=> 'Smartfeed',
	'SMARTFEED_URL'										=> 'Generar y testear',
	'SMARTFEED_USE_BOOKMARKS'							=> 'Sólo temas marcados',
	'SMARTFEED_VALID_ATOM_1'							=> 'Smartfeed genera canales válidos de ATOM 1.0, probados por el Servicio de Validación de Marcas del W3C (https://validator.w3.org). ',
	'SMARTFEED_VALID_RSS_1'								=> 'Smartfeed genera canales válidos de RSS 1.0,  probados por el Servicio de Validación de Marcas del W3C (https://validator.w3.org). ',
	'SMARTFEED_VALID_RSS_2'								=> 'Smartfeed genera canales válidos de RSS 2.0,  probados por el Servicio de Validación de Marcas del W3C (https://validator.w3.org). ',
));
